Argonne National Laboratory

Experimental Physics and
Industrial Control System

1994  1995  1996  1997  1998  1999  2000  2001  <20022003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  Index 1994  1995  1996  1997  1998  1999  2000  2001  <20022003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017 
<== Date ==> <== Thread ==>

Subject: Re: Cross compiler source and patch file for gcc-2.7.2 on Linux
From: Andrew Johnson <anj@aps.anl.gov>
To: Brian McAllister <brian@hotrats.mit.edu>
Cc: "David H. Thompson" <thompsondh@ornl.gov>, techtalk <tech-talk@aps.anl.gov>
Date: Fri, 12 Jul 2002 16:40:49 -0500
Brian McAllister wrote:
> 
> Did WRS make further changes which are needed for PPC, EPICS 3.14 or
> vxWorks 5.4 ?

EPICS 3.14 needs a fairly modern C++ compiler to compile - 2.7.2 is way
too old.  You *will* have to use a version of gcc built from the official
WRS sources, and Tornado 2.x when you want to upgrade to that (which is
exactly where Ernest Williams and David Thompson came in with this
problem).

- Andrew
-- 
Larry McVoy: "Learn how to think in C++ but don't ever program in it."

Replies:
Re: Cross compiler source and patch file for gcc-2.7.2 on Linux Brian McAllister
References:
Re: Cross compiler source and patch file for gcc-2.7.2 on Linux Brian McAllister

Navigate by Date:
Prev: Re: Cross compiler source and patch file for gcc-2.7.2 on Linux Brian McAllister
Next: Re: Cross compiler source and patch file for gcc-2.7.2 on Linux Brian McAllister
Index: 1994  1995  1996  1997  1998  1999  2000  2001  <20022003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017 
Navigate by Thread:
Prev: Re: Cross compiler source and patch file for gcc-2.7.2 on Linux Brian McAllister
Next: Re: Cross compiler source and patch file for gcc-2.7.2 on Linux Brian McAllister
Index: 1994  1995  1996  1997  1998  1999  2000  2001  <20022003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017 
ANJ, 10 Aug 2010 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· EPICS V4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·